Meta:
  color: yellow
  icon: cloud
Name: esxi-install
Description: "Install a selected ESXi bootenv to a system."
Documentation: |
  This workflow implements the automatic ESXi install based on the hardware
  vendor of the machine (if `vmware/esxi-version` set to `select-vendor`),
  and the map Param values from `vmware/esxi-version-vendor-map`.  If
  `select-vendor` is not set, then the latest "generic" BootEnv will be
  used.  Please examine the default Param values defined in the
  `vmware/esxi-version-vendor-map` param for details.

  You must initiate and run this workflow when the machine is in the `Sledgehammer`
  (also referred to as "discovery") environment.

  !!! warning
      The first stage 'prep-install' will erase the disks in preparatioon for the installation.

  Please see the full documentation regarding use of the VMware plugin at:

    * <https://provision.readthedocs.io/en/latest/doc/content-packages/vmware.html>

  If you have any questions on customnization of the installation process.

Stages:
  - prep-install
  - vmware-esxi-clear-patch-index
  - vmware-esxi-set-password
  - vmware-esxi-selector
  - esxi-preserve-logs
  - finish-install
  - esxi-reorder-uefi-bootorder
  - esxi-preserve-logs
  - esxi-install-patches
  - esxi-activate-network
  - esxi-manage-users
  - esxi-rename-datastore
  - esxi-activate-shells
  - esxi-activate-nested
  - esxi-install-welcome
  - esxi-install-certificate
  - esxi-preserve-logs
  - esxi-disable-slpd-76372
  - complete
